//+------------------------------------------------------------------+
//|                                                      ReadA1D.mq4 |
//|                        Copyright  2011, NQueiros Software Corp. |
//|                                   Email:nqueirosmail@hotmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, NQueiros Software Corp."
#property link      "Email:nqueirosmail@hotmail.com"
#property library
// This Function is to Read Arrays of Disk Computer
// Function Will Return True if Suceed
// Version 24-02-2012

bool ReadA1D(string &Array[], //0- Array to Store Values Readed from Disk
             string Name="",  //1- Name of File to Read
             string print="") //2- Comment to Print in Terminal
   {
    // Prevent Bugs
    if(ArraySize(Array)<=0)return(false); // Array Has No Size
    if(StringLen(Name)<=0)return(false);  // No Valid Value
    
    // Open File and Get Handle ------------------------------------------
    int handle=FileOpen(Name,FILE_BIN|FILE_READ);
    
    //Not Found File in Hard Disk 
    if(handle<0)
      {
       Print(StringConcatenate("File ",print," not found in hard disk!"));
       return(false);
      }
    
    //--- Read File to Array ----------------------------------------------
    int TotalRead=FileReadArray(handle,Array,0,ArraySize(Array));
    
    // Founded but Read 0 Elements from file
    if(TotalRead<=0)
      {
       Print(StringConcatenate("Error reading elements from file ",print,"!"));
       FileClose(handle);
       return(false);
      }
    
    // Read OK
    if(TotalRead>0 && TotalRead<=ArraySize(Array))
      {
       Print(StringConcatenate("Successfully load ",print," from hard disk!"));
       FileClose(handle);
       return(true);
      }
    return(false);
   }