//+------------------------------------------------------------------+
//|                                                     StoreA1D.mq4 |
//|                        Copyright  2011, NQueiros Software Corp. |
//|                                   Email:nqueirosmail@hotmail.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2011, NQueiros Software Corp."
#property link      "Email:nqueirosmail@hotmail.com"
#property library
// This Function is to store string arrays to Computer Disk
// Function Will Return True if Suceed
// Version 24-02-2012

bool StoreA1D(string &Array[], //0- Array to Read Values and Store it to Disk
              string Name="",  //1- Name of File to be Created
              string print="") //2- Comment to Print in Terminal
   {
    // Prevent Bugs
    if(ArraySize(Array)<=0)return(false); // Array Has No Size
    if(StringLen(Name)<=0)return(false);  // No Valid Value
    
    // Open File and Get Handle ------------------------------------------
    int handle=FileOpen(Name,FILE_BIN|FILE_WRITE);
    
    //Can't Create File in Hard Disk 
    if(handle<0)
      {
       Print(StringConcatenate("Can\'t creat file ",print," in hard disk!"));
       return(false);
      }
    
    //--- Write File to Disk ---------------------------------------------
    int TotalWrite=FileWriteArray(handle,Array,0,ArraySize(Array));
    
    // File Created but Write 0 Elements
    if(TotalWrite<=0)
      {
       Print(StringConcatenate("Error writing file",print,"!"));
       FileClose(handle);
       return(false);
      }
    
    // Write OK
    if(TotalWrite>0 && TotalWrite==ArraySize(Array))
      {
       Print(StringConcatenate("Successfully write ",print," to hard disk!"));
       FileClose(handle);
       return(true);
      }
    return(false);
   }